Bug 1281850 - Dashboards are not displayed if a user only has "view" permission on dashboards
Dashboards are not displayed if a user only has "view" permission on dashboards
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
All All
high Severity high
: GA
: 5.4.4
Assigned To: Libor Pichler
Milan Falešník
: ZStream
Depends On: 1278741
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 10:25 EST by Chris Pelland
Modified: 2015-12-16 08:20 EST (History)
12 users (show)

See Also:
Fixed In Version: 5.4.4.1
Doc Type: Bug Fix
Doc Text:
In the previous version of CloudForms Management Engine, dashboard widgets were not being displayed if a user only had "view" permission on dashboards. This issue was caused due to the toolbar not getting refreshed after a button was pressed that did not reload the screen. This issue was fixed by refactoring the toolbar and adding a specification for the icons. Dashboard widgets are displayed normally for users with only "view" permission, in the latest version of CloudForms Management Engine.
Story Points: ---
Clone Of: 1278741
Environment:
Last Closed: 2015-12-16 08:20:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2043853 None None None Never

  None (edit)
Comment 2 Milan Falešník 2015-12-09 05:11:33 EST
Checked in 5.4.4.2 against 5.4.3.1. The 5.4.3.1 even does not allow you to create an user with just a dashboard view role, and when you also give it some feature, it cannot see the dashboard. 5.4.4.2 can do it.
Comment 4 errata-xmlrpc 2015-12-16 08:20:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2620.html

Note You need to log in before you can comment on or make changes to this bug.